cURL
curl --request POST \ --url https://sandbox.hurdlr.com/rest/v5/accounting/openYear \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: */*' \ --data '{ "year": 123 }'
{ "result": "SUCCESS", "errors": { "fieldErrors": {}, "globalErrors": [ { "type": "DUPLICATE", "errorMessage": "<string>" } ] }, "id": "<string>", "webhook": { "userId": "<string>", "accountantUserId": "<string>", "type": "ENTITY_UPDATE" } }
Open the books of the specified year for the authenticated user
The access token received from the authorization server in the OAuth 2.0 flow.
Year for which the books will be reopened
Successful operation
Object containing details about result of the action performed
The result of the action performed
SUCCESS
FAILURE
Error object containing details errors incurred, if any
Show child attributes
Id of the entity being acted upon